SoulFire LogoSoulFire

Attack entity

Attacks a specific entity by network id.

POST
/v1/instances/{instance_id}/bots/{bot_id}/actions/attack

Attacks a specific entity by network id.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid
bot_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

entityId*integer

Network entity id from NearbyEntity.entity_id. Must currently be in the bot's observation set.

Formatint32
sprinting?boolean

If true, perform a sprint-boosted critical hit when applicable (swings the main hand and applies knockback).

connectionEpoch?|

Observation epoch that produced entity_id. When present, the action fails if the bot has reconnected since that observation.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/attack" \  -H "Content-Type: application/json" \  -d '{    "entityId": 0  }'
{  "result": {    "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0",    "status": "BOT_ACTION_STATUS_UNSPECIFIED",    "error": "string"  }}

How is this page?